commit:     b03f7ff9b344b52b1978ef73d54ca68944f1cf40
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 20 06:00:54 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 06:39:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b03f7ff9

dev-ruby/rspec-json_expectations: initial import of 2.1.0

New dependency for app-admin/puppet-lint

Package-Manager: portage-2.3.0

 dev-ruby/rspec-json_expectations/Manifest          |  1 +
 dev-ruby/rspec-json_expectations/metadata.xml      | 11 ++++++++
 .../rspec-json_expectations-2.1.0.ebuild           | 32 ++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-ruby/rspec-json_expectations/Manifest 
b/dev-ruby/rspec-json_expectations/Manifest
new file mode 100644
index 00000000..df7ddd7
--- /dev/null
+++ b/dev-ruby/rspec-json_expectations/Manifest
@@ -0,0 +1 @@
+DIST rspec-json_expectations-2.1.0.gem 14848 SHA256 
76593bd2025d076df534e18ff7b08e2cb117fb57637c2ecef3fc97b4e6866d50 SHA512 
1b09b959d6ecbc76c13b37fbf89cba381feb00505ce3a5701ad87ef1ed2ee178ea760508af809ac7dc8285c24d86dd7e33a7fb903a7f74472ca59d59f8df0daf
 WHIRLPOOL 
8498611f5c9ad2af2181d0051702be36cc45e774cad6d93d8676a37c553451c4aa48cd1a8a62c4d41e3f01df4b68cdd054e4d74ce6f08b858a260de9aef3fce8

diff --git a/dev-ruby/rspec-json_expectations/metadata.xml 
b/dev-ruby/rspec-json_expectations/metadata.xml
new file mode 100644
index 00000000..3d3fa1d
--- /dev/null
+++ b/dev-ruby/rspec-json_expectations/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">waterlink/rspec-json_expectations</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git 
a/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.1.0.ebuild 
b/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.1.0.ebuild
new file mode 100644
index 00000000..3543a79
--- /dev/null
+++ b/dev-ruby/rspec-json_expectations/rspec-json_expectations-2.1.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Set of matchers and helpers to allow you test your APIs 
responses."
+HOMEPAGE="https://github.com/waterlink/rspec-json_expectations";
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-util/cucumber )"
+
+all_ruby_prepare() {
+       sed -i -e '1irequire "forwardable"' 
lib/rspec/json_expectations/matchers.rb || die
+}
+
+each_ruby_test() {
+       ${RUBY} -S cucumber --format progress features || die
+}

Reply via email to